Get workbooks list
Returns a list of workbooks.
Request
POST
https://api.datalens.tech/rpc/getWorkbooksList
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"collectionId": "example",
"includePermissionsInfo": true,
"filterString": "example",
"page": 0.5,
"pageSize": 0.5,
"orderField": "title",
"orderDirection": "asc",
"onlyMy": true
}
|
Name |
Description |
|
collectionId |
Type: string | null Filter workbooks by collection ID. Example: |
|
filterString |
Type: string Filter workbooks by title. Example: |
|
includePermissionsInfo |
Type: boolean Include permission information in the response. |
|
onlyMy |
Type: boolean Return only workbooks created by the current user. |
|
orderDirection |
Type: string Workbook sorting direction. Enum: |
|
orderField |
Type: string Field to order workbooks by. Enum: |
|
page |
Type: number Page number for pagination. |
|
pageSize |
Type: number Number of workbooks per page. |
Responses
200 OK
Response
Body
application/json
{
"workbooks": [
{
"workbookId": "example",
"collectionId": "example",
"title": "example",
"description": "example",
"tenantId": "example",
"meta": {
"importId": "example"
},
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"status": "creating",
"permissions": {
"listAccessBindings": true,
"updateAccessBindings": true,
"limitedView": true,
"view": true,
"update": true,
"copy": true,
"move": true,
"publish": true,
"embed": true,
"delete": true
}
}
],
"nextPageToken": "example"
}
|
Name |
Description |
||||||||||||||||||||||||||||||||||||||||||||||||
|
workbooks |
Type: object[]
List of workbooks. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||
|
nextPageToken |
Type: string Token for retrieving the next page of results. Example: |